chooseBioCmirror {utils} | R Documentation

## Select a Bioconductor Mirror

### Description

Interact with the user to choose a Bioconductor mirror.

### Usage

    chooseBioCmirror(graphics = getOption("menu.graphics"), ind = NULL,
                     useHTTPS = getOption("useHTTPS", TRUE),
                     local.only = FALSE)

### Arguments

`graphics` | Logical. If true, use a graphical list: on Windows or the macOS GUI use a list box, and on a Unix-alike use a Tk widget if package tcltk and an X server are available. Otherwise use a text `menu`.
`ind` | Optional numeric value giving which entry to select.
`useHTTPS` | Whether to prefer HTTPS mirrors (see `chooseCRANmirror`).
`local.only` | Logical, try to get most recent list from the Bioconductor master or use file on local disk only.

### Details

This sets the option `"BioC_mirror"`: it is used before a call to `setRepositories`. The out-of-the-box default for that option is `NULL`, which currently corresponds to the mirror https://bioconductor.org.

The ‘Bioconductor (World-wide)’ ‘mirror’ is a network of mirrors providing reliable world-wide access; other mirrors may provide faster access on a geographically local scale.

`ind` chooses a row in ‘R_HOME/doc/BioC_mirrors.csv’, by number.

### Value

None: this function is invoked for its side effect of updating `options("BioC_mirror")`.

### See Also

`setRepositories`, `chooseCRANmirror`.

[Package utils version 3.4.3 Index]